@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800;900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    outline: none;
    scroll-behavior: smooth;
    font-family: 'Poppins', sans-serif;
}

:root {
    --bg-color: #081b29;
    --second-bg-color: #112e42;
    --text-color: #ededed;
    --main-color: #00abf0;
}

html {
    font-size: 62.5%;
    overflow-x: hidden;

}

body {
    background-color: var(--bg-color);
    color: var(--text-color);
    /* font-size: 1.6rem; */
    /* overflow-x: hidden; */
}

.header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 2rem 9%;
    z-index: 100;
    background: transparent;
    display: flex;
    justify-content: space-between;
    align-items: center;
    /* /* box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1); */
    transition: 0.3s; 


}

.header.sticky{
    background: var(--bg-color);

}

.nav__logo {
    color: var(--text-color);
    font-size: 2.5rem;
    font-weight: 600;
    /* text-transform: uppercase; */
    cursor: pointer;
}

.navbar a {
    color: var(--text-color);
    font-size: 1.7rem;
    font-weight: 500;
    margin-left: 3rem;
    transition: 0.3s;
} 

.navbar a:hover, 
.navbar a.active {
    color: var(--main-color);
}

#menu-icon {
    display: none; /* hide the menu icon */
    font-size: 3.6rem;
    cursor: pointer;
    color: var(--text-color);
} 

section {
    padding: 10rem 9% 2rem;
    min-height: 100vh;

}

.home {
    display: flex;
    /* justify-content: space-between; */
    align-items: center;
    padding: 0 9%;

}

.home-content {
    width: 60rem;
}

.home-content h1 {
    font-size: 5.6rem;
    font-weight: 700;
    line-height: 1.3;
    /* margin-bottom: 2rem; */
}

.home-content h1 span {
    color: var(--text-color);
}

.home-content .text-animate {
    /* color: var(--main-color);
    font-weight: 700;
    font-size: 5.6rem;
    line-height: 1.3;
    display: inline-block;
    margin-bottom: 2rem; */

    position: relative;
    width: 32.8rem;

}

.home-content .text-animate h3 {
    /* position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow: hidden; */

    font-size: 3.2rem;
    font-weight: 700;
    color: transparent;
    -webkit-text-stroke: .7px var(--main-color);

    /* background-image: linear-gradient(var(--main-color), var(--main-color);
    background-repeat: no-repeat;
    -webkit-background-clip: text;
    background-position: 0; */
}

.home-content p {
    font-size: 1.6rem;
    margin: 2rem 0 4rem;
    /* line-height: 1.6;     */
}

.btn-box {
    display: flex;
    /* align-items: center; */
    position: relative;
    justify-content: space-between;
    width: 34.5rem;
    height: 5rem;

}

.btn-box .btn {
    position: relative;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 15rem;
    height: 100%;
    background-color: var(--main-color);
    border: .2rem solid var(--main-color);
    border-radius: .8rem;
    font-size: 1.8rem;
    font-weight: 600;
    letter-spacing: .1rem;
    color: var(--bg-color);
    z-index: 1;
    overflow: hidden;
    transition: 0.4s;
}


.btn-box .btn:hover {
    color: var(--main-color);
    /* background-color: transparent; */

}


 .btn-box .btn:nth-child(2)
{
    background-color: transparent;
    color: var(--main-color);
}

.btn-box .btn:nth-child(2)::before {

    background-color: var(--main-color);
}


.btn-box .btn:nth-child(2):hover {
    /* background: transparent; */
    color: var(--bg-color)

}


.btn-box .btn::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    background-color: var(--bg-color);
    z-index: -1;
    /* border-radius: 2.5rem; */
    transition: 0.3s;
} 

.btn-box .btn:hover::before {
    width: 100%;
} 

.home-social {
    display: flex;
    /* align-items: center; */
    /* margin-top: 2rem; */
    bottom: 4rem;
    position: absolute;
    width: 170px;
    justify-content: space-between;
}

.home-social a {
    position: relative;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    height: 40px;
    background: transparent;
    border: .2rem solid var(--main-color);
    border-radius: 50%;
    font-size: 20px;
    color: var(--main-color);
    z-index: 1 ;
    overflow: hidden;
    transition: 0.4s;
}

.home-social a:hover {
    color: var(--bg-color);
}

.home-social a::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    background-color: var(--main-color);
    z-index: -1;
    /* border-radius: 50%; */
    transition: 0.5s;
}

.home-social a:hover::before {
    width: 100%;
}

.home-img {
    border-radius: 50%;
}

.home-img img {
   
    position: relative;
    top: 1rem;
    width: 25vw;
    border-radius: 50%;
    box-shadow: 0 0 25px var(--main-color);
    cursor: pointer;
    transition: 0.4s ease-in-out;
    margin-left: 15rem;
    
}

.home-img img:hover {
    transform: scale(1.05);
    box-shadow: 0 0 50px var(--main-color),
                0 0 100px var(--main-color);
}



.about {
    display: flex;
    justify-content: center;
    align-items: center;
    /* padding: 0 9%; */
    flex-direction: column;
    gap: 2rem;
    background: var(--second-bg-color);
    padding-bottom: 6rem;
}

.section-title{
    font-size: 5rem;
    /* font-weight: 700; */
    text-align: center;
    margin-bottom: 3rem;
}

span{
    color: var(--main-color);

}

.about-img {
    width: 35rem;
    height: 35rem;
    border-radius: 50%;

    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;


}

.about-img img {
    width: 90%;
    height: 90%; 
    border-radius: 50%;
    border: .2rem solid var(--main-color);

    /* box-shadow: 0 0 25px var(--main-color);
    cursor: pointer;
    transition: 0.4s ease-in-out; */
}


.about-img .circle-spin {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    border-radius: 50%;

    border-top: .2rem solid var(--second-bg-color);
    border-bottom: .2rem solid var(--second-bg-color);

    border-right: .2rem solid var(--main-color);
    border-left: .2rem solid var(--main-color);

    /* border: .2rem solid var(--main-color); */
    animation: circle-spin 10s linear infinite;
} 

.about-content {
    /* width: 60rem; */
    text-align: center;
}

.about-content h3 {
    font-size: 2.6rem;
    /* font-weight: 700;
    margin-bottom: 2rem; */
}

.about-content p {
    font-size: 1.6rem;
    /* line-height: 1.6; */
    margin-bottom: 2rem 0 3rem;
}

.btn-box.btns {
    display: inline-block;
    width: 15rem;
}

.btn-box.btns a::before {
    background-color: var(--second-bg-color);
}


/* for career  */

.timeline-section {
    /* display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 2rem; */
    padding: 100px 15px;
    background: var(--bg-color);
}

.timeline-section h2 {
    /* font-size: 5rem;
    text-align: center; */
    margin-bottom: 5rem;
}

.timeline-items {
    max-width: 1000px;
    margin: auto;
    position: relative;
    display: flex;
    flex-wrap: wrap;

}

.timeline-items::before {
    content: '';
    position: absolute;
    /* top: 0; */
    left: calc(50% - 1px);
    width: 5px;
    height: 100%;
    background-color: var(--main-color);
    /* z-index: 1; */
}

.timeline-item {
    position: relative;
    width: 100%;
    margin-bottom: 40px;
}

.timeline-item:last-child {
    margin-bottom: 0;
}

.timeline-item:nth-child(odd)
{
    text-align: right;
    padding-right: calc(50% + 30px);
}

.timeline-item:nth-child(even)
{
    text-align: left;
    padding-left: calc(50% + 30px);
    
}

.timeline-item-dot {

    width: 21px;
    height: 21px;
    background-color: var(--main-color);
    box-shadow: 0 0 25px var(--main-color);
    position: absolute;
    left: calc(50% - 9px);
    border-radius: 50%;
    top: 10px;
}

/* timeline content for odd ui text should be at left */
.timeline-content:nth-child(odd) {
    text-align: left;
    padding-right: 0;
    padding-left: 30px;
}


.timeline-date {

    font-size: 20px;
    font-weight: 800;
    color: white;
    margin: 6px 0 15px;


}

.timeline-content {
    /* position: relative; */
    padding: 30px;

    background: var(--second-bg-color);
    backdrop-filter: blur(20px);
    border: 2px solid var(--main-color);

    border-radius: 1em;

    box-shadow: 0 0 10px var(--main-color);
    cursor: pointer;

    transition: 0.4s ease-in-out;

}

.timeline-content:hover {
    transform: scale(1.05);
    box-shadow: 0 0 25px var(--main-color);
                /* 0 0 100px var(--main-color); */
}

.timeline-content h3 {
    font-size: 20px;
    color: var(--main-color);
    margin: 0 0 10px;
    text-transform: capitalize;
    font-weight: 800;

}

.timeline-content p {
    font-size: 16px;
    color: white;
    /* margin: 0 0 10px; */
    line-height: 22px;
    opacity: 0.8; 
    font-weight: 600;
    /* the bullet points are in the right side and the sentences start from left */
    
}

/* for projects */

.projects {

    background: var(--second-bg-color);


}

.projects h2 {

    margin-bottom: 8rem;
}


.projects-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    align-items: center;
    gap: 2.5rem;
    
}

/* .projects-container .projects-box h4 {
    font-size: 2rem;
    color: var(--main-color);
    font-weight: 600;
} */

.projects-container .projects-box {
    position: relative;
    /* width: 100%; */

    height: 450px;
    overflow: hidden;
    display: flex;

    /* background: var(--second-bg-color); */
    border: 3px solid transparent;

    border-radius: 2rem;

    /* box-shadow: 0 0 25px var(--main-color); */
    /* cursor: pointer; */
    transition: 0.5s ease-in-out;
}

.projects-container .projects-box:hover {
    border: 3px solid var(--main-color);
}

.projects-box:hover img {
    transform: scale(1.05);
}

.projects-box img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: 0.5s ease-in-out;
}


.projects-box .projects-info {
    position: absolute;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    text-align: center;
    gap: 1rem;
    padding: 0 4rem;
    cursor: pointer;
    
    transition: 0.5s ease-in-out;
    backdrop-filter: grayscale(99%);
}

.projects-box .projects-info:hover {
    background: rgba(0, 0, 0, 0.5);
    backdrop-filter: grayscale(0%);

}

.projects-box .projects-info h4 {
    font-size: 3rem;
    /* color: var(--main-color); */
 /* color neon blue to neon green */
    color: 	#04d9ff;
     /* color: #00ff00; */
    font-weight: 800;
}

.projects-info p {
    font-size: 1.6rem;
    /* color neon green */
    color: #00ff00;
    /* color: var(--main-color); */
    font-weight: 600;
    margin: 0.3rem 0 1rem;
}

/* for contact */

.contact {
    min-height: auto;
    padding-bottom: 7rem;
    background: var(--second-bg-color);
}

.contact form {
    max-width: 70rem;
    margin: 0 auto;
    text-align: center;
}

.contact form .input-box {
    position: relative;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}


.contact form .input-box .input-field {
    position: relative;
    width: 49%;
    margin: .8rem 0;
}

.contact form .input-box .input-field input,
.contact form .textarea-field textarea {
    width: 100%;
    height: 100%;
    padding: 1.5rem;
    font-size: 1.6rem;
    color: var(--text-color);
    background: transparent;
    border: .2rem solid var(--main-color);
    border-radius: .6rem;
    /* outline: none; */
    /* transition: 0.3s; */

}

.contact form .input-box .input-field input::placeholder,
.contact form .textarea-field textarea::placeholder {
    color: var(--main-color);
}


.contact form .focus{
    position: absolute;
    width: 0;
    height: 100%;
    top: 0;
    left: 0;
    /* pointer-events: none; */
    background: var(--second-bg-color);
    /* border: .2rem solid var(--main-color); */
    border-radius: .6rem;
    transition: 0.4s;
    z-index: -1;

}

/* now update all the input box with width 100 */
.contact form .input-box .input-field input:focus~.focus,
.contact form .input-box .input-field input:valid~.focus,
.contact form .textarea-field textarea:focus~.focus,
.contact form .textarea-field textarea:valid~.focus {
    width: 100%;

}


.contact form .textarea-field {
    position: relative;
    margin: .8rem 0 2.7rem;
    display: flex;
}

.contact form .textarea-field textarea {
   resize: none;
}

.contact form .btn-box.btns .btns{
    cursor:auto;
}

/* Footer Section */
footer {
    display: grid;
    grid-template: 1fr / 1fr;
    gap: 20px;
    align-items: center;
    padding-top: 20px;
    background: var(--bg-color);
}

.footer-Links {
    list-style: none; /* Remove the default list-style */
    display: flex; /* Display the links in a flex container */
    justify-content: center; /* Center the links horizontally */
    align-items: center; /* Center the links vertically */
}

.footer-Links li {
    margin-right: 20px; /* Add spacing between the links */
}

.footer-Links a {
    text-decoration: none;
    color: #262626;
}

.footer-Links a img {
    width: 20px; /* Adjust the size of the images */
    height: 20px;
}

.footer-Links a:hover {
    color: #f55800;
}

@media (max-width : 1200px){
    html{
        font-size: 55%;
    }

}

@media (max-width: 991px)
{
    .header {
        padding: 2rem 4%;
    }

    section{
        padding: 10rem 4% 2rem;
    }

    .home{
        padding: 0 4%;
    }

    .footer{
        padding: 2rem 4%;
    }
}


@keyframes homeBgText {
    0%,10%,100% {
       background-position: -33rem 0;
    }   
    65%,85% {
        background-position: 0 0;
    }
}


/* for skill section  */
/* Skills Section */
#Skills {
    padding: 4rem 0;
    background-color: var(--bg-color);
    color: var(--text-color);
    text-align: center;
}

#Skills .container {
    max-width: 1200px;
    margin: 0 auto;
}

#Skills h2 {
    font-size: 2.5rem;
    margin-bottom: 2rem;
}

.skills-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 2rem;
}

.skill-item {
    padding: 2rem;
    background-color: var(--main-color); /* Set background color as needed */
    border-radius: 10px;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.1); /* Add shadow for a nice effect */
}

.skill-item h3 {
    font-size: 1.8rem;
    margin-bottom: 1rem;
}

.skill-item ul {
    list-style-type: none;
    padding: 0;
}

.skill-item ul li {
    font-size: 1.6rem;
    margin-bottom: 0.5rem;
}

.skill-item ul li::before {
    content: '•';
    color: var(--main-color);
    margin-right: 0.5rem;
}


/* add hover and effects for skills */

.skill-item:hover {
    transform: translateY(-10px);
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.2);
}

.skill-item:hover h3 {
    color: var(--bg-color);
}

.skill-item:hover ul li {
    color: var(--bg-color);
}

.skill-item:hover ul li::before {
    color: var(--bg-color);
}

/* for services */